Переполнение буфера в Lhaca

Дата публикации:
03.07.2007
Всего просмотров:
822
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Lhaca 1.x
Уязвимые версии: Lhaca 1.21, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных при обработке .LZH архивов. Удаленный пользователь может с помощью специально сформированного .LZH архива, содержащего слишком длинное (более 255 байт) значение "Extended Header Size", вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: park8.wakwak.com/~app/Lhaca/

Решение: Установите последнюю версию 1.23 с сайта производителя.

или введите имя

CAPTCHA